/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Pedro Pelaez <pedro@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

.point-status-breadcrumb-bar {
  display: flex;
  padding: 10px;
  white-space: nowrap;
  flex-wrap: wrap;
  justify-items: center;
  font-size: 16px;
  font-weight: 600;

  .point-status-breadcrumb-item {
    color: $color-grey-06;
    margin-bottom: 12px;

    &:not(:last-child):after {
      content: "|";
      padding: 12px;
      color: $color-grey-06;
    }

    &.active {
      color: $color-green-01;
      padding-left: 14px;
      position: relative;

      &:before {
        content: '';
      }
    }

    &:before {
      display: inline-block;
      width: 10px;
      height: 10px;
      background: $color-green-01;
      border-radius: 50%;
      position: absolute;
      top: 6px;
      left: 0;
    }
  }
}

.point-information-wrapper {
  margin-bottom: 24px;
  display: flex;
  white-space: nowrap;
  flex-wrap: wrap;
  justify-items: center;
  background: $color-grey-01;
  justify-content: space-between;

  .community {
    margin: 12px 12px 0;
    font-size: 16px;
    font-weight: 500;
    color: $color-blue-02;

    .value {
      margin-left: 12px;
    }
  }

  .updated {
    margin: 14px;

    .label {
      font-size: 14px;
      font-weight: 600;
    }

    .value {
      margin-left: 12px;
      padding: 4px 8px;
      font-size: 14px;
      font-weight: 600;
      background: $color-white-01;
      border: 1px solid $color-black-01;
    }
  }

}

.point-team-list-wrapper {
  margin-bottom: 24px;
  display: flex;
  white-space: nowrap;
  flex-wrap: wrap;
  justify-items: center;
  //background: $color-grey-01;
  justify-content: space-between;

  .list {
    margin: 12px 12px 0;
    font-size: 16px;
    font-weight: 500;
    color: $color-blue-02;

    .value {
      margin-left: 12px;
      margin-bottom: 12px;
    }

    .team-list {
      .team-item {
        float: left;
        list-style-type: none;
        font-size: 14px;
        font-family: $base-font-family;
        font-weight: 500;
        line-height: 16px;
        box-shadow: none;
        border: none;
        border-radius: 18px;
        transition: all $duration;
        padding: 5px 5px 5px;
        margin: 2px;
        //background: $color-grey-06;
        //color: $color-white-01;
      }
    }
  }
}

.point-list-inquiry-wrapper,
.point-add-inquiry-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-items: center;
  justify-content: space-between;
  white-space: nowrap;
  background: $transparency-grey-01;
  border: none;
  padding: 0;
  margin: 0 0 24px;

  .card-item {
    white-space: break-spaces;
  }

  > legend {
    @extend %h5;
    font-size: 16px;
    font-weight: 500;
    float: left;
  }
}

.point-add-inquiry-wrapper {
  padding: 10px;
}

.point-list-inquiry-wrapper {
  display: flex;
  align-items: center;
  margin-top: 30px;

  > legend {
    padding: 10px 10px 0;
    margin-bottom: 30px;
  }

  > .layout-buttons {
    width: auto;
    padding: 10px 10px 0;
    margin-bottom: 30px;
  }

  .cards-container {
    width: 100%;
  }
}
